%define		name fwbuilder
%define		version 2.0.12
%define		release 1

# Filter GLIBC_PRIVATE Provides: and Requires:
%define		_filter_GLIBC_PRIVATE 1


%define		guigroup Applications/System
%define		compgroup Applications/System

Summary:	Firewall Builder
Name:		fwbuilder
Version:	2.0.12
Release:	1%{?dist}
License:	GPL2
Group:		Applications/System
URL:		http://www.fwbuilder.org/
Source0:	http://prdownloads.sourceforge.net/fwbuilder/%{name}-%{version}.tar.gz
# Source0-md5:	43149297f4a64b19ad3fa519cfff2326
Source1:	%{name}.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	libfwbuilder-devel = %{version}
BuildRequires:	qt-devel, gettext

%description
Firewall Builder consists of a GUI and set of policy compilers for
various firewall platforms. It helps users maintain a database of
objects and allows policy editing using simple drag-and-drop
operations. GUI generates firewall description in the form of XML
file, which compilers then interpret and generate platform-specific
code. Several algorithms are provided for automated network objects
discovery and bulk import of data. The GUI and policy compilers are
completely independent, this provides for a consistent abstract model
and the same GUI for different firewall platforms.

%package	pf
Summary: 	policy compiler for OpenBSD pf
Group:          Applications/System

%description	pf
Policy compiler for OpenBSD PF


%package	ipf
Summary: 	policy compiler for ipfilter
Group:          Applications/System

%description	ipf
Policy compiler for ipfilter


%package	ipfw
Summary: 	policy compiler for ipfw
Group:          Applications/System

%description	ipfw
Policy compiler for ipfw


%package	ipt
Summary: 	policy compiler for iptables
Group:          Applications/System

%description	ipt
Policy compiler for iptables

%prep
%setup -q

%build
unset QTDIR
. /etc/profile.d/qt.sh

CXXFLAGS="${RPM_OPT_FLAGS}" %configure --with-templatedir=%{_datadir}/fwbuilder --disable-dependency-tracking
%{__make} %{?_smp_mflags}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT
unset QTDIR
. /etc/profile.d/qt.sh

%{__make} DDIR="${RPM_BUILD_ROOT}/" install
%{__rm} -fr $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%{__install} -d $RPM_BUILD_ROOT%{_datadir}/applications
%{__install} -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

#%find_lang %{name}

%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%dir /usr/share/fwbuilder
%{_datadir}/fwbuilder/locale/*
%{_datadir}/fwbuilder/platform/*
%{_datadir}/fwbuilder/os/*
%{_datadir}/fwbuilder/resources.xml
%{_datadir}/fwbuilder/objects_init.xml
%{_datadir}/fwbuilder/templates.xml
%{_datadir}/applications/%{name}.desktop
%{_bindir}/fwbuilder
%{_bindir}/fwblookup
%{_bindir}/fwbedit
%{_bindir}/fwb_install
%{_bindir}/fwb_compile_all
%doc doc/AUTHORS
%doc doc/COPYING
%doc doc/Credits
%doc doc/ChangeLog
%doc doc/PatchAcceptancePolicy.txt
%doc doc/README.floppyfw
%doc doc/README.ipf
%doc doc/README.ipfw
%doc doc/README.ipt
%doc doc/README.pf
%doc doc/ReleaseNotes_2.0.12.html
%doc doc/ReleaseNotes_2.0.12.txt
%{_mandir}/man1/fwbuilder.1*
%{_mandir}/man1/fwblookup.1*
%{_mandir}/man1/fwbedit.1*
%{_mandir}/man1/fwb_install.1*
%{_mandir}/man1/fwb_compile_all.1*
%{_mandir}/man1/fwb_ipf.1*
%{_mandir}/man1/fwb_ipfw.1*
%{_mandir}/man1/fwb_pf.1*

%files		pf
%defattr(-,root,root)
%{_bindir}/fwb_pf
%doc doc/README.pf
%{_mandir}/man1/fwb_pf.1*


%files		ipf
%defattr(-,root,root)
%{_bindir}/fwb_ipf
%doc doc/README.ipf
%{_mandir}/man1/fwb_ipf.1*


%files		ipfw
%defattr(-,root,root)
%{_bindir}/fwb_ipfw
%doc doc/README.ipfw
%{_mandir}/man1/fwb_ipfw.1*


%files		ipt
%defattr(-,root,root)
%{_bindir}/fwb_ipt
%doc doc/README.ipt
%{_mandir}/man1/fwb_ipt.1*

%changelog
* Mon Jul 17 2006 Wojciech Gabor <tuptus@turox.org>
- rebuild on Aurox 12.0

* Mon Apr 17 2006 Wojciech Gabor <tuptus@turox.org>
- initial build on Aurox 11.1
